ARCINFO(1)

NAME
arcinfo - ARC Info

DESCRIPTION

  Usage:

    arcinfo [OPTION...] [resource ...]

The arcinfo command is used for obtaining the status of computing resources on the Grid.

  Target endpoint selection:

-C, --computing-element=ce
    computing element hostname or a complete endpoint URL

-Y, --registry=registry
    registry service URL with optional specification of protocol

-Q, --info-endpoint-type=type
    require information query using the specified information endpoint type.

    Special value 'NONE' will disable all resource information queries and the following brokering. Allowed values are: ldap.nordugrid, ldap.glue2, arcrest and internal.

-T, --submission-endpoint-type=type
    only get information about executon targets that support this job submission endpoint type.

    Allowed values are: arcrest and internal.

  Brokering and filtering:

-R, --rejectdiscovery=URL
    skip the service with the given URL during service discovery

  Output format modifiers:

-l, --long
    long format (more information)

  Behaviour tuning:

--no-authentication
    do not perform any authentication for opened connections

--x509-authentication
    perform X.509 authentication for opened connections

--token-authentication
    perform token authentication for opened connections

--systemca
    force using CA certificates configuration provided by OpenSSL

--gridca
    force using CA certificates configuration for Grid services (typically IGTF)

  Other actions:

-P, --listplugins
    list the available plugins

  Application Options:

-h, --help
    Show help options

-z, --conffile=filename
    configuration file (default ~/.arc/client.conf)

-t, --timeout=seconds
    timeout in seconds (default 20)

-d, --debug=debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-v, --version
    print version information

EXTENDED DESCRIPTION
The arcinfo command is used to get the status and information about computing elements. You can specify the URLs of CE endpoint with the --computing-element option, or by just listing them as arguments. The --registry flag can be used to specify an registry server which should be queried for CEs endpoints.

Detailed information about queried computing services can be obtained by specifying the --long flag.

FILES

~/.arc/client.conf
    Some options can be given default values by specifying them in the ARC client configuration file. By using the --conffile option a different configuration file can be used than the default.

AUTHOR
ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org

COPYRIGHT
APACHE LICENSE Version 2.0

SEE ALSO
arccat(1), arcclean(1), arccp(1), arcget(1), arckill(1), arcls(1), arcmkdir(1), arcproxy(1), arcrenew(1), arcresume(1), arcrm(1), arcstat(1), arcsub(1), arcsync(1), arctest(1)